program exercise1

  ! Compute the two solutions (say x1, and x2) of
  !   a x^2 + b x + c = 0
  ! which may be written
  !   x = (-b +/- sqrt(b^2 - 4ac))/2a.
  !
  ! First, use real variables and compute the discriminant
  !   b^2 - 4ac
  ! and act accordingly.
  !
  ! Then use complex variables to compute, directly, two complex roots
  ! to check your answer for (x1, x2).
  !
  ! Some values might be
  !   a = 1.0, b =  5.0, c = 6.0     (=> two real roots)
  !   a = 2.0, b =  1.0, c = 5.0/8.0 (=> two complex roots)
  !   a = 4.0, b = -8.0, c = 4.0     (=> two equal roots)

  implicit none

end program exercise1
